Subject: bug#3459: NS: mouse-face flicker

From: David Reitter <[email-masked]>
Date: Fri, 18 Sep 2009 17:51:24 -0400

On Sep 18, 2009, at 5:42 PM, Adrian Robert wrote:
> David, can you explain the second part of your patch?  Just  
> including the first part fixes the bug for me.  Is the change to the  
> if test in the second part meant to handle a problematic case that  
> slips through as the result of the first part?  It seems to make no  
> difference.  In particular, there is still flickering either way if  
> you try to select the mouse-highlighted text.

I can't recall the details after 3+ months, but judging from the code  
I think the second change doesn't make a difference unless window can  
be Qnil, and I guess it can't.

Note: the patch is not a fix.  Just a way to demonstrate one source of  
flicker.